# IBM CONFIDENTIAL
#
# OBJECT CODE ONLY SOURCE MATERIALS
#
# COPYRIGHT International Business Machines Corp. 2015
# All Rights Reserved
#
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.


class Repo(object):
    '''
    This class represents the APT Repo object that will
    be used to persist information entered on the APT Repo panel
    '''

    def __init__(self, downloadprotocol, hostname, directory, proxy):
        self._downloadprotocol = downloadprotocol
        self._hostname = hostname
        self._directory = directory
        self._proxy = proxy

    @property
    def download_protocol(self):
        return self._downloadprotocol

    @download_protocol.setter
    def download_protocol(self, downloadprotocol):
        self._downloadprotocol = downloadprotocol

    @property
    def hostname(self):
        return self._hostname

    @hostname.setter
    def hostname(self, hostname):
        self._hostname = hostname

    @property
    def directory(self):
        return self._directory

    @directory.setter
    def directory(self, directory):
        self._directory = directory

    @property
    def proxy(self):
        return self._proxy

    @proxy.setter
    def proxy(self, proxy):
        self._proxy = proxy
