# IBM CONFIDENTIAL
#
# OBJECT CODE ONLY SOURCE MATERIALS
#
# COPYRIGHT International Business Machines Corp. 2015
# All Rights Reserved
#
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.


class PVMTime(object):
    '''
    This class represents the time zone object that will
    be used to persist information entered on the time settings panel
    '''

    def __init__(self, ntpenabled, ntpserver, timezone):
        self._ntpserver = ntpserver
        self._timezone = timezone
        self._ntpenabled = ntpenabled

    @property
    def ntpenabled(self):
        return self._ntpenabled

    @ntpenabled.setter
    def ntpenabled(self, ntpenabled):
        self._ntpenabled = ntpenabled

    @property
    def ntpserver(self):
        return self._ntpserver

    @ntpserver.setter
    def ntpserver(self, ntpserver):
        self._ntpserver = ntpserver

    @property
    def timezone(self):
        return self._timezone

    @timezone.setter
    def timezone(self, timezone):
        self._timezone = timezone
